package com.unis.crk.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.crk.common.entity.DeleteDataRecord;

import java.util.Date;

/**
 * <p>
 * 数据删除记录 服务类
 * </p>
 *
 * @author TangSong
 * @since 2022-06-01
 */
public interface IDeleteDataRecordService extends IService<DeleteDataRecord> {

    /**
     * 保存轨迹表删除记录
     * @param trailId
     */
     void saveBizflowtrail(String trailId);

   /**
    * 基础数据保存
    * @param dataId
    * @param tableName
    */
     void save(String dataId,String tableName, String unitid, Date deleteTime);

    /**
     * 保存形成库存数据删除记录
     * @param dataId
     */
    public void saveXckc(String dataId, String unitid, Date deleteTime);
    /**
     * 保存分库保管账数据删除记录
     * @param dataId
     */
    public void saveFcbgz(String dataId, String unitid, Date deleteTime);
    /**
     * 保存日结单数据删除记录
     * @param dataId
     */
    public void saveRjd(String dataId, String unitid, Date deleteTime) ;
    /**
     *  保存库存实物数据删除记录
     * @param dataId
     */
    public void saveKcsw(String dataId, String unitid, Date deleteTime);
}
